petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterView

Views a vector scatter context.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterView(VecScatter ctx,PetscViewer viewer)

Collective on VecScatter

### Input Parameters

| ctx | - the scatter context
| viewer | - the viewer for displaying the context

### Level

intermediate

### Location

src/vec/vscat/interface/vscatfce.c

### Implementations

VecScatterView_MPI in src/vec/vscat/impls/vpscat.c
VecScatterView_MPI_MPI1 in src/vec/vscat/impls/vpscat_mpi1.c
VecScatterView_MPI_ToAll in src/vec/vscat/impls/vscat.c
VecScatterView_SSToSG in src/vec/vscat/impls/vscat.c
VecScatterView_SGToSG in src/vec/vscat/impls/vscat.c
VecScatterView_SGToSS in src/vec/vscat/impls/vscat.c
VecScatterView_SSToSS in src/vec/vscat/impls/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages